package de.intevation.gnv.artifacts.fis.product;

import de.intevation.gnv.state.InputData;

import java.util.Collection;

/**
 * This is the default implementation of <code>Product</code>.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultProduct implements Product {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 6473812725442092770L;

    private String name = null;

    private Collection<InputData> parameter = null;

    private String artifactFactory = null;

    /**
     * Constructor
     *
     * @param name The name of this product.
     * @param parameter Required parameters for this product.
     * @param artifactFactory The artifact factory.
     */
    public DefaultProduct(
        String                name,
        Collection<InputData> parameter,
        String                artifactFactory
    ) {
        super();
        this.name            = name;
        this.parameter       = parameter;
        this.artifactFactory = artifactFactory;
    }

    /**
     * @return
     */
    public String getName() {
        return this.name;
    }

    /**
     * @return
     */
    public Collection<InputData> getParameter() {
        return this.parameter;
    }

    /**
     * @return
     */
    public String getArtifactFactory() {
        return this.artifactFactory;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :